mr_bones_    15/06/01 22:05:44

  Modified:             descent3-1.4.0b-r2.ebuild ChangeLog
  Log:
  clean up app-emulation/emul-linux which has been removed
  
  (Portage version: 2.2.18/cvs/Linux x86_64, unsigned Manifest commit)

Revision  Changes    Path
1.2                  games-action/descent3/descent3-1.4.0b-r2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild?r1=1.1&r2=1.2

Index: descent3-1.4.0b-r2.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- descent3-1.4.0b-r2.ebuild   27 Jun 2014 11:29:22 -0000      1.1
+++ descent3-1.4.0b-r2.ebuild   1 Jun 2015 22:05:44 -0000       1.2
@@ -1,9 +1,8 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild,v 1.1 
2014/06/27 11:29:22 mgorny Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild,v 1.2 
2015/06/01 22:05:44 mr_bones_ Exp $
 
 EAPI=5
-
 inherit eutils unpacker cdrom multilib games
 
 IUSE="nocd videos"
@@ -17,22 +16,12 @@
 KEYWORDS="~amd64 ~x86"
 RESTRICT="strip"
 
-DEPEND=""
 RDEPEND="sys-libs/glibc
-       || (
-               (
-                       media-libs/libsdl[abi_x86_32(-)]
-                       media-libs/smpeg[abi_x86_32(-)]
-                       virtual/opengl[abi_x86_32(-)]
-                       x11-libs/libX11[abi_x86_32(-)]
-                       x11-libs/libXext[abi_x86_32(-)]
-               )
-               amd64? (
-                       app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)]
-                       app-emulation/emul-linux-x86-sdl[-abi_x86_32(-)]
-                       app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)]
-               )
-       )"
+       media-libs/libsdl[abi_x86_32(-)]
+       media-libs/smpeg[abi_x86_32(-)]
+       virtual/opengl[abi_x86_32(-)]
+       x11-libs/libX11[abi_x86_32(-)]
+       x11-libs/libXext[abi_x86_32(-)]"
 
 dir=${GAMES_PREFIX_OPT}/${PN}
 Ddir=${D}/${dir}
@@ -70,8 +59,8 @@
 
        cd "${Ddir}" || die
        # TODO: move this to src_unpack where it belongs
-       tar xzf ${CDROM_ROOT}/data.tar.gz || die "uncompressing data"
-       tar xzf ${CDROM_ROOT}/shared.tar.gz || die "uncompressing shared"
+       tar xzf ${CDROM_ROOT}/data.tar.gz || die
+       tar xzf ${CDROM_ROOT}/shared.tar.gz || die
 
        if use nocd; then
                doins -r ${CDROM_ROOT}/missions
@@ -84,10 +73,10 @@
 
        cd "${S}"/a || die
        bin/Linux/x86/loki_patch --verify patch.dat || die
-       bin/Linux/x86/loki_patch patch.dat "${Ddir}" >& /dev/null || die 
"patching a"
+       bin/Linux/x86/loki_patch patch.dat "${Ddir}" >& /dev/null || die
        cd "${S}"/b || die
        bin/Linux/x86/loki_patch --verify patch.dat || die
-       bin/Linux/x86/loki_patch patch.dat "${Ddir}" >& /dev/null || die 
"patching b"
+       bin/Linux/x86/loki_patch patch.dat "${Ddir}" >& /dev/null || die
 
        # now, since these files are coming off a cd, the times/sizes/md5sums 
wont
        # be different ... that means portage will try to unmerge some files (!)



1.35                 games-action/descent3/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/ChangeLog?rev=1.35&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/ChangeLog?rev=1.35&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/ChangeLog?r1=1.34&r2=1.35

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-action/descent3/ChangeLog,v
retrieving revision 1.34
retrieving revision 1.35
diff -u -r1.34 -r1.35
--- ChangeLog   7 Sep 2014 19:57:08 -0000       1.34
+++ ChangeLog   1 Jun 2015 22:05:44 -0000       1.35
@@ -1,6 +1,10 @@
 # ChangeLog for games-action/descent3
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/ChangeLog,v 1.34 
2014/09/07 19:57:08 ulm Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/ChangeLog,v 1.35 
2015/06/01 22:05:44 mr_bones_ Exp $
+
+  01 Jun 2015; Michael Sterrett <[email protected]>
+  descent3-1.4.0b-r2.ebuild:
+  clean up app-emulation/emul-linux which has been removed
 
   07 Sep 2014; Ulrich Müller <[email protected]> -descent3-1.4.0b-r1.ebuild:
   Remove old, bug 517932.




Reply via email to